stages:
    - test

postman_tests:
    stage: test
    image: 
        name: postman/newman_alpine33
        entrypoint: [""]
    script:
        - newman --version
        - npm install -g newman-reporter-html
        - newman run Rick_and_Morty_API_Simplified.postman_collection_test.json --reporters cli,html,junit --reporter-html-export report.html --reporter-junit-export report.xml
    artifacts:
        when: always
        paths:
            - report.html
        reports:
            junit: report.xml
